com.sleepycat.db

## Class OperationStatus

- java.lang.Object
- - com.sleepycat.db.OperationStatus

-     public final class OperationStatus
      extends java.lang.Object

  Status values from database operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OperationStatus` | `KEYEMPTY` The cursor operation was unsuccessful because the current record was deleted.
    `static OperationStatus` | `KEYEXIST` The operation to insert data was configured to not allow overwrite and the key already exists in the database.
    `static OperationStatus` | `NOTFOUND` The requested key/data pair was not found.
    `static OperationStatus` | `SUCCESS` The operation was successful.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESS

          public static final OperationStatus SUCCESS

      The operation was successful.

    - #### KEYEXIST

          public static final OperationStatus KEYEXIST

      The operation to insert data was configured to not allow overwrite and the key already exists in the database.

    - #### KEYEMPTY

          public static final OperationStatus KEYEMPTY

      The cursor operation was unsuccessful because the current record was deleted.

    - #### NOTFOUND

          public static final OperationStatus NOTFOUND

      The requested key/data pair was not found.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.